// components/My_listBox/index.js

Component({
    /**
     * 组件的属性列表
     */
    properties: {
        height: {
            type: Number,
            value: 0
        },
        getlist: {
            type: Function
        },
        pullDown: {
            type: Boolean,
            value: true
        }
    },

    lifetimes: {
        ready() {}
    },

    /**
     * 组件的初始数据
     */
    data: {
        inRefresh: false
    },

    /**
     * 组件的方法列表
     */
    methods: {
        /* 下拉刷新 */
        pullToRefresh() {
            this.setData({
                inRefresh: true
            })
            this.triggerEvent("getlist", true)
        },
        /* 刷新完成 */
        RefreshToComplete() {
            setTimeout(() => {
                this.setData({
                    inRefresh: false
                })
            }, 500)
        },
        /* 加载分页 */
        loadThePage() {
            this.triggerEvent("getlist", false)
        },
    }
})